#version 450

#include "rounded_fill.common.glsl"

layout(location = 0) out vec2 geo_pos;

void main() {
	vec2 pos = data.vertices.pos[gl_InstanceIndex][gl_VertexIndex];
	gl_Position = vec4(pos, 0.0, 1.0);
	switch (gl_VertexIndex) {
		case 0: geo_pos = vec2(data.size.x, 0.0); break;
		case 1: geo_pos = vec2(0.0, 0.0); break;
		case 2: geo_pos = vec2(data.size.x, data.size.y); break;
		case 3: geo_pos = vec2(0.0, data.size.y); break;
	}
}
